## zathura 0.2.9

=== Makefile ===
# See LICENSE file for license and copyright information

include config.mk
include colors.mk
include common.mk

OSOURCE    = $(filter-out css-definitions.c, $(filter-out dbus-interface-definitions.c, $(wildcard *.c))) $(wildcard synctex/*.c)
HEADER     = $(wildcard *.h) $(wildcard synctex/*.h)
HEADERINST = version.h document.h macros.h page.h types.h plugin-api.h links.h

ifneq (${WITH_SQLITE},0)
INCS     += $(SQLITE_INC)
LIBS     += $(SQLITE_LIB)
SOURCE    = $(OSOURCE)
CPPFLAGS += -DWITH_SQLITE
else
SOURCE    = $(filter-out database-sqlite.c,$(OSOURCE))
endif

ifneq ($(WITH_MAGIC),0)
INCS     += $(MAGIC_INC)
LIBS     += $(MAGIC_LIB)
CPPFLAGS += -DWITH_MAGIC
endif

ifneq ($(wildcard ${VALGRIND_SUPPRESSION_FILE}),)
VALGRIND_ARGUMENTS += --suppressions=${VALGRIND_SUPPRESSION_FILE}
endif

ifeq (,$(findstring -DZATHURA_PLUGINDIR,${CPPFLAGS}))
CPPFLAGS += -DZATHURA_PLUGINDIR=\"${PLUGINDIR}\"
endif
ifeq (,$(findstring -DGETTEXT_PACKAGE,${CPPFLAGS}))
CPPFLAGS += -DGETTEXT_PACKAGE=\"${PROJECT}\"
endif
ifeq (,$(findstring -DLOCALEDIR,${CPPFLAGS}))
CPPFLAGS += -DLOCALEDIR=\"${LOCALEDIR}\"
endif
ifeq (,$(findstring -Isynctex,${CPPFLAGS}))
CPPFLAGS += -Isynctex
endif
ifeq (,$(findstring -DSYNCTEX_VERBOSE=0,${CPPFLAGS}))
CPPFLAGS += -DSYNCTEX_VERBOSE=0
endif


OBJECTS  = $(patsubst %.c, %.o,  $(SOURCE)) dbus-interface-definitions.o css-definitions.o
DOBJECTS = $(patsubst %.o, %.do, $(OBJECTS))

all: options ${PROJECT} po build-manpages

# pkg-config based version checks
.version-checks/%: config.mk
	$(QUIET)test $($(*)_VERSION_CHECK) -eq 0 || \
		pkg-config --atleast-version $($(*)_MIN_VERSION) $($(*)_PKG_CONFIG_NAME) || ( \
		echo "The minium required version of $(*) is $($(*)_MIN_VERSION)" && \
		false \
	)
	@mkdir -p .version-checks
	$(QUIET)touch $@

options:
	@echo ${PROJECT} build options:
	@echo "CFLAGS  = ${CFLAGS}"
	@echo "LIBS    = ${LIBS}"
	@echo "DFLAGS  = ${DFLAGS}"
	@echo "CC      = ${CC}"

version.h: version.h.in config.mk
	$(QUIET)sed -e 's/ZVMAJOR/${ZATHURA_VERSION_MAJOR}/' \
		-e 's/ZVMINOR/${ZATHURA_VERSION_MINOR}/' \
		-e 's/ZVREV/${ZATHURA_VERSION_REV}/' \
		-e 's/ZVAPI/${ZATHURA_API_VERSION}/' \
		-e 's/ZVABI/${ZATHURA_ABI_VERSION}/' version.h.in > version.h.tmp
	$(QUIET)mv version.h.tmp version.h

dbus-interface-definitions.c: data/org.pwmt.zathura.xml
	$(QUIET)echo '#include "dbus-interface-definitions.h"' > $@.tmp
	$(QUIET)echo 'const char* DBUS_INTERFACE_XML =' >> $@.tmp
	$(QUIET)sed 's/^\(.*\)$$/"\1\\n"/' data/org.pwmt.zathura.xml >> $@.tmp
	$(QUIET)echo ';' >> $@.tmp
	$(QUIET)mv $@.tmp $@

css-definitions.c: data/zathura.css_t
	$(QUIET)echo '#include "css-definitions.h"' > $@.tmp
	$(QUIET)echo 'const char* CSS_TEMPLATE_INDEX =' >> $@.tmp
	$(QUIET)sed 's/^\(.*\)$$/"\1\\n"/' $< >> $@.tmp
	$(QUIET)echo ';' >> $@.tmp
	$(QUIET)mv $@.tmp $@

%.o: %.c
	$(call colorecho,CC,$<)
	$(QUIET) mkdir -p $(shell dirname .depend/$@.dep)
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

%.do: %.c
	$(call colorecho,CC,$<)
	@mkdir -p .depend
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

${OBJECTS} ${DOBJECTS}: config.mk version.h \
	.version-checks/GIRARA .version-checks/GLIB .version-checks/GTK

${PROJECT}: ${OBJECTS}
	$(call colorecho,CC,$@)
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${LIBS}

clean:
	$(QUIET)rm -rf ${PROJECT} \
		${OBJECTS} \
		${TARFILE} \
		${TARDIR} \
		${DOBJECTS} \
		${PROJECT}-debug \
		.depend \
		${PROJECT}.pc \
		version.h \
		version.h.tmp \
		dbus-interface-definitions.c \
		dbus-interface-definitions.c.tmp \
		*gcda *gcno $(PROJECT).info gcov *.tmp \
		.version-checks
	$(QUIET)$(MAKE) -C tests clean
	$(QUIET)$(MAKE) -C po clean
	$(QUIET)$(MAKE) -C doc clean

${PROJECT}-debug: ${DOBJECTS}
	$(call colorecho,CC,$@)
	$(QUIET)${CC} ${LDFLAGS} -o $@ ${DOBJECTS} ${LIBS}

debug: ${PROJECT}-debug

${PROJECT}.pc: ${PROJECT}.pc.in config.mk
	$(QUIET)echo project=${PROJECT} > ${PROJECT}.pc
	$(QUIET)echo version=${VERSION} >> ${PROJECT}.pc
	$(QUIET)echo apiversion=${ZATHURA_API_VERSION} >> ${PROJECT}.pc
	$(QUIET)echo abiversion=${ZATHURA_ABI_VERSION} >> ${PROJECT}.pc
	$(QUIET)echo includedir=${INCLUDEDIR} >> ${PROJECT}.pc
	$(QUIET)echo plugindir=${PLUGINDIR} >> ${PROJECT}.pc
	$(QUIET)echo GTK_VERSION=3 >> ${PROJECT}.pc
	$(QUIET)cat ${PROJECT}.pc.in >> ${PROJECT}.pc

valgrind: debug
	 $(QUIET)G_SLICE=always-malloc G_DEBUG=gc-friendly ${VALGRIND} ${VALGRIND_ARGUMENTS} \
		 ./${PROJECT}-debug

gdb: debug
	$(QUIET)cgdb ${PROJECT}-debug

test: ${OBJECTS}
	$(QUIET)make -C tests run

dist: clean build-manpages
	$(QUIET)tar -czf $(TARFILE) --exclude=.gitignore \
		--transform 's,^,zathura-$(VERSION)/,' \
		`git ls-files` \
		doc/_build/$(PROJECT).1 doc/_build/$(PROJECT)rc.5

doc:
	$(QUIET)make -C doc

gcov: clean
	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} $(PROJECT)
	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} -C tests run
	$(QUIET)lcov --directory . --capture --output-file $(PROJECT).info
	$(QUIET)genhtml --output-directory gcov $(PROJECT).info

po:
	$(QUIET)${MAKE} -C po

update-po:
	$(QUIET)${MAKE} -C po update-po

build-manpages:
	$(QUIET)${MAKE} -C doc man

install-manpages: build-manpages
	$(call colorecho,INSTALL,"man pages")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${MANPREFIX}/man1 ${DESTDIR}${MANPREFIX}/man5
ifneq "$(wildcard doc/_build/${PROJECT}.1)" ""
	$(QUIET)install -m 644 doc/_build/${PROJECT}.1 ${DESTDIR}${MANPREFIX}/man1
endif
ifneq "$(wildcard doc/_build/${PROJECT}rc.5)" ""
	$(QUIET)install -m 644 doc/_build/${PROJECT}rc.5 ${DESTDIR}${MANPREFIX}/man5
endif

install-headers: ${PROJECT}.pc
	$(call colorecho,INSTALL,"header files")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${INCLUDEDIR}/${PROJECT}
	$(QUIET)install -m 644 ${HEADERINST} ${DESTDIR}${INCLUDEDIR}/${PROJECT}

	$(call colorecho,INSTALL,"pkgconfig file")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${LIBDIR}/pkgconfig
	$(QUIET)install -m 644 ${PROJECT}.pc ${DESTDIR}${LIBDIR}/pkgconfig

install-dbus:
	$(call colorecho,INSTALL,"D-Bus interface definitions")
	$(QUIET)mkdir -m 755 -p $(DESTDIR)$(DBUSINTERFACEDIR)
	$(QUIET)install -m 644 data/org.pwmt.zathura.xml $(DESTDIR)$(DBUSINTERFACEDIR)

install: all install-headers install-manpages install-dbus
	$(call colorecho,INSTALL,"executeable file")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${PREFIX}/bin
	$(QUIET)install -m 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${DESKTOPPREFIX}
	$(call colorecho,INSTALL,"desktop file")
	$(QUIET)install -m 644 ${PROJECT}.desktop ${DESTDIR}${DESKTOPPREFIX}
	$(MAKE) -C po install

uninstall-headers:
	$(call colorecho,UNINSTALL,"header files")
	$(QUIET)rm -rf ${DESTDIR}${INCLUDEDIR}/${PROJECT}
	$(call colorecho,UNINSTALL,"pkgconfig file")
	$(QUIET)rm -f ${DESTDIR}${LIBDIR}/pkgconfig/${PROJECT}.pc

uninstall: uninstall-headers
	$(ECHO) removing executable file
	$(call colorecho,UNINSTALL,"executeable")
	$(QUIET)rm -f ${DESTDIR}${PREFIX}/bin/${PROJECT}
	$(call colorecho,UNINSTALL,"man pages")
	$(QUIET)rm -f ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
	$(QUIET)rm -f ${DESTDIR}${MANPREFIX}/man5/${PROJECT}rc.5
	$(call colorecho,UNINSTALL,"desktop file")
	$(QUIET)rm -f ${DESTDIR}${DESKTOPPREFIX}/${PROJECT}.desktop
	$(call colorecho,UNINSTALL,"D-Bus interface definitions")
	$(QUIET)rm -f $(DESTDIR)$(DBUSINTERFACEDIR)/org.pwmt.zathura.xml
	$(MAKE) -C po uninstall

-include $(wildcard .depend/*.dep)

.PHONY: all options clean doc debug valgrind gdb dist doc install uninstall \
	test po install-headers uninstall-headers update-po install-manpages \
	build-manpages install-dbus

=== tests/Makefile ===
# See LICENSE file for license and copyright information

include ../config.mk
include ../common.mk
include config.mk

PROJECT = tests
SOURCE  = tests.c $(wildcard test_*.c)
OBJECTS = ${SOURCE:.c=.o}

ZOSOURCE   = $(filter-out ../main.c,$(wildcard ../*.c) $(wildcard ../synctex/*.c))

ifneq (${WITH_SQLITE},0)
INCS   += $(SQLITE_INC)
LIBS   += $(SQLITE_LIB)
ZSOURCE += $(ZOSOURCE)
ifeq (,$(findstring -DWITH_SQLITE,${CPPFLAGS}))
CPPFLAGS += -DWITH_SQLITE
endif
else
ZSOURCE = $(filter-out ../database-sqlite.c,$(ZOSOURCE))
endif

ifneq ($(WITH_MAGIC),0)
INCS += $(MAGIC_INC)
LIBS += $(MAGIC_LIB)
CPPFLAGS += -DWITH_MAGIC
endif

ZOBJECTS = ${ZSOURCE:.c=.o}

all: ${PROJECT}

run: ${PROJECT}
	$(QUIET)./${PROJECT}

options:
	@echo ${PROJECT} build options:
	@echo "CFLAGS  = ${CFLAGS}"
	@echo "LDFLAGS = ${LDFLAGS}"
	@echo "DFLAGS  = ${DFLAGS}"
	@echo "CC      = ${CC}"

%.o: %.c
	$(ECHO) CC $<
	@mkdir -p .depend
	$(QUIET)${CC} -c -I.. ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

${PROJECT}: options ${OBJECTS}
	$(QUIET)make -C ..
	$(ECHO) CC -o $@
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${ZOBJECTS} ${LIBS}

${OBJECTS}: ../config.mk

clean:
	$(QUIET)rm -rf ${OBJECTS} ${PROJECT} *.gcno *.gcda .depend

.PHONY: all options clean debug run

-include $(wildcard .depend/*.dep)

=== debian/changelog ===
zathura (0.2.9-2) unstable; urgency=medium

  * Use system libsynctex:
    - debian/control: Add libsynctex-dev to Build-Depends.
    - debian/patches/use-system-synctex.patch: Upstream patch to build against
      system provided libsynctex.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Jul 2014 01:23:35 +0200

zathura (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump libgirara-dev B-D to >= 0.2.2.
    - Replace python-docutils with python3-sphinx. Sphinx is now used to
      generate the manpages.
  * debian/copyright: Document license of new files in synctex.
  * debian/clean: Remove manpages, add css-definitions.c.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 25 Jun 2014 18:27:06 +0200

zathura (0.2.7-1) unstable; urgency=medium

  * New upstream release.
    - zathura 0.2.7.
    - zathura-pdf-poppler 0.2.5.
  * debian/copyright: Update copyright years.
  * debian/zathura.install: Install D-Bus introspection data.
  * debian/control: Mention SyncTex support in Description.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 17 Feb 2014 17:42:38 +0100

=== debian/control ===
Source: zathura
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1~),
 pkg-config,
 libgirara-dev (>= 0.2.2),
 libgtk-3-dev,
 libcairo2-dev (>= 1.8.8),
 libpoppler-glib-dev (>= 0.12.3),
 libsqlite3-dev,
 libmagic-dev,
 libsynctex-dev,
 gettext,
 check,
 xvfb,
 xauth,
 python3-sphinx
Standards-Version: 3.9.5
Homepage: http://pwmt.org/projects/zathura

Package: zathura
Architecture: any
Provides:
 pdf-viewer,
 ${zathura:Provides}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 www-browser,
 poppler-data,
 zathura-ps,
 zathura-djvu,
 zathura-cb
Description: PDF viewer with a minimalistic interface
 zathura is a PDF viewer with a minimalistic and space saving interface.
 It offers a vim-like experience and has a focus on keyboard interaction.
 The key bindings, commands and most other settings can be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index
  * SyncTex forward and backward synchronization
 .
 zathura can be extended to support other file formats via a plugin system.

Package: zathura-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libgirara-dev (>= 0.1.8),
 libgtk-3-dev,
 libcairo2-dev (>= 1.8.8)
Description: development files for zathura plugins
 zathura is a PDF viewer with a minimalistic and space saving interface. It
 can be extended to support other file formats via a plugin system.
 .
 This package contains the files to develop plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Use all hardening flags for zathura
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags

# do not strip
export SFLAGS=
# build with verbose output
export VERBOSE=1
# build flags for the plugin
export ZATHURA_INC=-I$(CURDIR)/zathura-headers/usr/include
export PLUGINDIR=/usr/lib/zathura
export PKG_CONFIG_PATH=$(CURDIR)/zathura-headers/usr/lib/pkgconfig
# disable check's timeout functionality
export CK_DEFAULT_TIMEOUT=0

PDFVER=0.2.5
PDFVERC=$(subst .,-,$(PDFVER))

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p')
get-orig-source:
	uscan --no-conf \
		--force-download \
		--rename \
		--watchfile $(DEB_DEBDIR)/watch \
		--package zathura \
		--upstream-version $(DEB_UPSTREAM_VER) \
		--destdir=.
	TMPD=`mktemp -d` && \
	uscan --no-conf \
		--force-download \
		--no-symlink \
		--watchfile $(DEB_DEBDIR)/zathura-pdf-poppler.watch \
		--package zathura-pdf-poppler \
		--upstream-version $(PDFVER) \
		--destdir=$$TMPD && \
	mv $$TMPD/zathura-pdf-poppler-$(PDFVER).tar.gz \
		zathura_$(DEB_UPSTREAM_VER).orig-pdf-poppler-$(PDFVERC).tar.gz && \
	rmdir $$TMPD

%:
	dh $@ --parallel

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) -C pdf-poppler-$(PDFVERC) clean
	# ... and remove the headers
	$(MAKE) uninstall-headers DESTDIR=$(CURDIR)/zathura-headers

override_dh_auto_build:
	$(shell $(dpkg_buildflags) --export=configure) $(MAKE)
	# append gtk3 to ABI version for the GTK+2 -> GTK+3 switch
	# (can be dropped once zathura bumps its ABI the next time)
	$(MAKE) zathura.pc
	sed -i 's/^abiversion=.*$$/&gtk3/' zathura.pc
	# we need the headers to build the plugin
	$(MAKE) install-headers DESTDIR=$(CURDIR)/zathura-headers
	$(MAKE) -C pdf-poppler-$(PDFVERC)

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C pdf-poppler-$(PDFVERC) install \
		DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a env $(shell $(dpkg_buildflags) --export=configure) $(MAKE) test
endif

override_dh_gencontrol:
	./debian/dh_zathura -pzathura --substvar=zathura:Provides
	dh_gencontrol

## zathura 0.3.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include colors.mk
 include common.mk
 
-OSOURCE    = $(filter-out css-definitions.c, $(filter-out dbus-interface-definitions.c, $(wildcard *.c))) $(wildcard synctex/*.c)
+OSOURCE    = $(filter-out css-definitions.c, $(filter-out dbus-interface-definitions.c, $(wildcard *.c)))
 HEADER     = $(wildcard *.h) $(wildcard synctex/*.h)
 HEADERINST = version.h document.h macros.h page.h types.h plugin-api.h links.h
 
@@ -23,6 +23,22 @@
 CPPFLAGS += -DWITH_MAGIC
 endif
 
+ifneq ($(WITH_SYSTEM_SYNCTEX),0)
+INCS   += $(SYNCTEX_INC)
+LIBS   += $(SYNCTEX_LIB)
+else
+INCS   += $(ZLIB_INC)
+LIBS   += $(ZLIB_LIB)
+SOURCE += $(wildcard synctex/*.c)
+
+ifeq (,$(findstring -Isynctex,${CPPFLAGS}))
+CPPFLAGS += -Isynctex
+endif
+ifeq (,$(findstring -DSYNCTEX_VERBOSE=0,${CPPFLAGS}))
+CPPFLAGS += -DSYNCTEX_VERBOSE=0
+endif
+endif
+
 ifneq ($(wildcard ${VALGRIND_SUPPRESSION_FILE}),)
 VALGRIND_ARGUMENTS += --suppressions=${VALGRIND_SUPPRESSION_FILE}
 endif
@@ -36,13 +52,6 @@
 ifeq (,$(findstring -DLOCALEDIR,${CPPFLAGS}))
 CPPFLAGS += -DLOCALEDIR=\"${LOCALEDIR}\"
 endif
-ifeq (,$(findstring -Isynctex,${CPPFLAGS}))
-CPPFLAGS += -Isynctex
-endif
-ifeq (,$(findstring -DSYNCTEX_VERBOSE=0,${CPPFLAGS}))
-CPPFLAGS += -DSYNCTEX_VERBOSE=0
-endif
-
 
 OBJECTS  = $(patsubst %.c, %.o,  $(SOURCE)) dbus-interface-definitions.o css-definitions.o
 DOBJECTS = $(patsubst %.o, %.do, $(OBJECTS))
@@ -95,7 +104,7 @@
 
 %.do: %.c
 	$(call colorecho,CC,$<)
-	@mkdir -p .depend
+	$(QUIET) mkdir -p $(shell dirname .depend/$@.dep)
 	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep
 
 ${OBJECTS} ${DOBJECTS}: config.mk version.h \
@@ -118,6 +127,8 @@
 		version.h.tmp \
 		dbus-interface-definitions.c \
 		dbus-interface-definitions.c.tmp \
+		css-definitions.c \
+		css-definitions.c.tmp \
 		*gcda *gcno $(PROJECT).info gcov *.tmp \
 		.version-checks
 	$(QUIET)$(MAKE) -C tests clean
@@ -198,7 +209,12 @@
 	$(QUIET)mkdir -m 755 -p $(DESTDIR)$(DBUSINTERFACEDIR)
 	$(QUIET)install -m 644 data/org.pwmt.zathura.xml $(DESTDIR)$(DBUSINTERFACEDIR)
 
-install: all install-headers install-manpages install-dbus
+install-appdata:
+	$(call colorecho,INSTALL,"AppData file")
+	$(QUIET)mkdir -m 755 -p $(DESTDIR)$(APPDATAPREFIX)
+	$(QUIET)install -m 644 data/$(PROJECT).appdata.xml $(DESTDIR)$(APPDATAPREFIX)
+
+install: all install-headers install-manpages install-dbus install-appdata
 	$(call colorecho,INSTALL,"executeable file")
 	$(QUIET)mkdir -m 755 -p ${DESTDIR}${PREFIX}/bin
 	$(QUIET)install -m 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin
@@ -224,6 +240,8 @@
 	$(QUIET)rm -f ${DESTDIR}${DESKTOPPREFIX}/${PROJECT}.desktop
 	$(call colorecho,UNINSTALL,"D-Bus interface definitions")
 	$(QUIET)rm -f $(DESTDIR)$(DBUSINTERFACEDIR)/org.pwmt.zathura.xml
+	$(call colorecho,UNINSTALL,"AppData file")
+	$(QUIET)rm -f $(DESTDIR)$(APPDATAPREFIX)/$(PROJECT).appdata.xml
 	$(MAKE) -C po uninstall
 
 -include $(wildcard .depend/*.dep)

=== doc/Makefile ===
# See LICENSE file for license and copyright information
#
include ../config.mk
include ../common.mk
include ../colors.mk
include config.mk

MAN_SOURCES=$(wildcard man/*.rst) $(wildcard man/*.txt) man/conf.py
DOXYGEN_SOURCES=$(wildcard ../*.h) Doxyfile
HTML_SORUCES=$(wildcard *.rst api/*.rst configuration/*.rst installation/*.rst usage/*.rst) conf.py

SPHINX_OPTS+=-d $(SPHINX_BUILDDIR)/doctrees

all: man html

clean:
	$(call colorecho,RM,doc/$(SPHINX_BUILDDIR))
	$(QUIET)rm -rf $(SPHINX_BUILDDIR)/

$(SPHINX_BUILDDIR)/html/index.html: $(HTML_SOURCES) $(SPHINX_BUILDDIR)/doxygen/xml/index.xml
	$(call colorecho,DOC,"Build HTML documentation")
	$(QUIET)$(SPHINX_BIN) -b html $(SPHINX_OPTS) . $(SPHINX_BUILDDIR)/html

$(SPHINX_BUILDDIR)/zathura.1 $(SPHINX_BUILDDIR)/zathurarc.5: $(MAN_SOURCES)
	$(call colorecho,DOC,"Build man pages")
	$(QUIET)$(SPHINX_BIN) -b man $(SPHINX_OPTS) man $(SPHINX_BUILDDIR)

$(SPHINX_BUILDDIR)/doxygen/xml/index.xml: $(DOXYGEN_SOURCES)
	$(QUIET)mkdir -p $(SPHINX_BUILDDIR)
	$(call colorecho,DOC,"Run doxygen")
	$(QUIET)$(DOXYGEN_BIN) Doxyfile

ifeq ($(shell which $(SPHINX_BIN) >/dev/null 2>&1; echo $$?), 1)
man:
html:
else
man: $(SPHINX_BUILDDIR)/zathura.1 $(SPHINX_BUILDDIR)/zathurarc.5

# TODO: Make a better test for breathe and sphinx_rtd_theme
ifeq ($(shell which $(DOXYGEN_BIN) >/dev/null 2>&1 && $(PYTHON_BIN) -c "import breathe; import sphinx_rtd_theme" >/dev/null 2>&1; echo $$?), 0)
html: $(SPHINX_BUILDDIR)/html/index.html
else
html:
endif
endif

.PHONY: clean html man all

=== tests/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SOURCE  = tests.c $(wildcard test_*.c)
 OBJECTS = ${SOURCE:.c=.o}
 
-ZOSOURCE   = $(filter-out ../main.c,$(wildcard ../*.c) $(wildcard ../synctex/*.c))
+ZOSOURCE   = $(filter-out ../main.c,$(wildcard ../*.c))
 
 ifneq (${WITH_SQLITE},0)
 INCS   += $(SQLITE_INC)
@@ -25,6 +25,27 @@
 INCS += $(MAGIC_INC)
 LIBS += $(MAGIC_LIB)
 CPPFLAGS += -DWITH_MAGIC
+endif
+
+ifneq ($(WITH_SYSTEM_SYNCTEX),0)
+INCS   += $(SYNCTEX_INC)
+LIBS   += $(SYNCTEX_LIB)
+else
+INCS   += $(ZLIB_INC)
+LIBS   += $(ZLIB_LIB)
+ZSOURCE += $(wildcard ../synctex/*.c)
+CPPFLAGS += -I../synctex
+
+ifeq (,$(findstring -DSYNCTEX_VERBOSE=0,${CPPFLAGS}))
+CPPFLAGS += -DSYNCTEX_VERBOSE=0
+endif
+endif
+
+ifeq (,$(findstring -Isynctex,${CPPFLAGS}))
+CPPFLAGS += -Isynctex
+endif
+ifeq (,$(findstring -DSYNCTEX_VERBOSE=0,${CPPFLAGS}))
+CPPFLAGS += -DSYNCTEX_VERBOSE=0
 endif
 
 ZOBJECTS = ${ZSOURCE:.c=.o}

=== debian/changelog ===
zathura (0.3.1-2) unstable; urgency=medium

  * debian/patches/scrolling-SIGSEGV.patch: Apply upstream patch to fix
    crashes if smooth-scroll is enabled.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Nov 2014 23:09:45 +0100

zathura (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/zathura.install: Install AppData file.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 22 Oct 2014 22:28:06 +0200

zathura (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Disable colored build output.
  * debian/control:
    - Bump Standards-Version.
    - Bump libgirara-dev to >= 0.2.3 in Build-Depends.
  * debian/patches: Remove all patches, applied upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Oct 2014 02:47:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  pkg-config,
- libgirara-dev (>= 0.2.2),
+ libgirara-dev (>= 0.2.3),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8),
  libpoppler-glib-dev (>= 0.12.3),
@@ -18,7 +18,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pwmt.org/projects/zathura
 
 Package: zathura

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 export PKG_CONFIG_PATH=$(CURDIR)/zathura-headers/usr/lib/pkgconfig
 # disable check's timeout functionality
 export CK_DEFAULT_TIMEOUT=0
+# disable colors
+export COLOR=0
 
 PDFVER=0.2.5
 PDFVERC=$(subst .,-,$(PDFVER))

## zathura 0.3.3

=== debian/changelog ===
zathura (0.3.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Apr 2015 19:12:56 +0200

zathura (0.3.3-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/link-test-with-synctex.patch: Removed, no longer needed.
  * debian/copyright: Update copyright years.
  * debian/control: Bump girara B-D to >= 0.2.4.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Apr 2015 18:52:27 +0200

zathura (0.3.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    - scrolling-SIGSEGV.patch: Removed again.
    - link-test-with-synctex.patch: Fix linking of tests.
  * debian/copyright: Update due to filename changes.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 10 Nov 2014 00:23:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  pkg-config,
- libgirara-dev (>= 0.2.3),
+ libgirara-dev (>= 0.2.4),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8),
  libpoppler-glib-dev (>= 0.12.3),

## zathura 0.3.5

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,7 @@
 include colors.mk
 include common.mk
 
-OSOURCE    = $(filter-out css-definitions.c, $(filter-out dbus-interface-definitions.c, $(wildcard *.c)))
-HEADER     = $(wildcard *.h) $(wildcard synctex/*.h)
-HEADERINST = version.h document.h macros.h page.h types.h plugin-api.h links.h
+OSOURCE    = $(filter-out ${PROJECT}/css-definitions.c, $(filter-out ${PROJECT}/dbus-interface-definitions.c, $(wildcard ${PROJECT}/*.c)))
 
 ifneq (${WITH_SQLITE},0)
 INCS     += $(SQLITE_INC)
@@ -14,7 +12,7 @@
 SOURCE    = $(OSOURCE)
 CPPFLAGS += -DWITH_SQLITE
 else
-SOURCE    = $(filter-out database-sqlite.c,$(OSOURCE))
+SOURCE    = $(filter-out ${PROJECT}/database-sqlite.c,$(OSOURCE))
 endif
 
 ifneq ($(WITH_MAGIC),0)
@@ -23,20 +21,10 @@
 CPPFLAGS += -DWITH_MAGIC
 endif
 
-ifneq ($(WITH_SYSTEM_SYNCTEX),0)
-INCS   += $(SYNCTEX_INC)
-LIBS   += $(SYNCTEX_LIB)
-else
-INCS   += $(ZLIB_INC)
-LIBS   += $(ZLIB_LIB)
-SOURCE += $(wildcard synctex/*.c)
-
-ifeq (,$(findstring -Isynctex,${CPPFLAGS}))
-CPPFLAGS += -Isynctex
-endif
-ifeq (,$(findstring -DSYNCTEX_VERBOSE=0,${CPPFLAGS}))
-CPPFLAGS += -DSYNCTEX_VERBOSE=0
-endif
+ifneq ($(WITH_SYNCTEX),0)
+INCS     += $(SYNCTEX_INC)
+LIBS     += $(SYNCTEX_LIB)
+CPPFLAGS += -DWITH_SYNCTEX
 endif
 
 ifneq ($(wildcard ${VALGRIND_SUPPRESSION_FILE}),)
@@ -53,16 +41,25 @@
 CPPFLAGS += -DLOCALEDIR=\"${LOCALEDIR}\"
 endif
 
-OBJECTS  = $(patsubst %.c, %.o,  $(SOURCE)) dbus-interface-definitions.o css-definitions.o
-DOBJECTS = $(patsubst %.o, %.do, $(OBJECTS))
+OBJECTS       = $(addprefix ${BUILDDIR_RELEASE}/,${SOURCE:.c=.o}) \
+	${BUILDDIR_RELEASE}/${PROJECT}/css-definitions.o \
+	${BUILDDIR_RELEASE}/${PROJECT}/dbus-interface-definitions.o
+OBJECTS_DEBUG = $(addprefix ${BUILDDIR_DEBUG}/,${SOURCE:.c=.o}) \
+	${BUILDDIR_DEBUG}/${PROJECT}/css-definitions.o \
+	${BUILDDIR_DEBUG}/${PROJECT}/dbus-interface-definitions.o
+OBJECTS_GCOV  = $(addprefix ${BUILDDIR_GCOV}/,${SOURCE:.c=.o}) \
+	${BUILDDIR_GCOV}/${PROJECT}/css-definitions.o \
+	${BUILDDIR_GCOV}/${PROJECT}/dbus-interface-definitions.o
+HEADER        = $(wildcard ${PROJECT}/*.h) $(wildcard synctex/*.h)
+HEADERINST    = $(addprefix ${PROJECT}/,version.h document.h macros.h page.h types.h plugin-api.h links.h)
 
 all: options ${PROJECT} po build-manpages
 
 # pkg-config based version checks
 .version-checks/%: config.mk
 	$(QUIET)test $($(*)_VERSION_CHECK) -eq 0 || \
-		pkg-config --atleast-version $($(*)_MIN_VERSION) $($(*)_PKG_CONFIG_NAME) || ( \
-		echo "The minium required version of $(*) is $($(*)_MIN_VERSION)" && \
+		${PKG_CONFIG} --atleast-version $($(*)_MIN_VERSION) $($(*)_PKG_CONFIG_NAME) || ( \
+		echo "The minimum required version of $(*) is $($(*)_MIN_VERSION)" && \
 		false \
 	)
 	@mkdir -p .version-checks
@@ -75,71 +72,124 @@
 	@echo "DFLAGS  = ${DFLAGS}"
 	@echo "CC      = ${CC}"
 
-version.h: version.h.in config.mk
+${PROJECT}/version.h: ${PROJECT}/version.h.in config.mk
 	$(QUIET)sed -e 's/ZVMAJOR/${ZATHURA_VERSION_MAJOR}/' \
 		-e 's/ZVMINOR/${ZATHURA_VERSION_MINOR}/' \
 		-e 's/ZVREV/${ZATHURA_VERSION_REV}/' \
 		-e 's/ZVAPI/${ZATHURA_API_VERSION}/' \
-		-e 's/ZVABI/${ZATHURA_ABI_VERSION}/' version.h.in > version.h.tmp
-	$(QUIET)mv version.h.tmp version.h
-
-dbus-interface-definitions.c: data/org.pwmt.zathura.xml
+		-e 's/ZVABI/${ZATHURA_ABI_VERSION}/' ${PROJECT}/version.h.in > ${PROJECT}/version.h.tmp
+	$(QUIET)mv ${PROJECT}/version.h.tmp ${PROJECT}/version.h
+
+${PROJECT}/dbus-interface-definitions.c: data/org.pwmt.zathura.xml
 	$(QUIET)echo '#include "dbus-interface-definitions.h"' > $@.tmp
 	$(QUIET)echo 'const char* DBUS_INTERFACE_XML =' >> $@.tmp
 	$(QUIET)sed 's/^\(.*\)$$/"\1\\n"/' data/org.pwmt.zathura.xml >> $@.tmp
 	$(QUIET)echo ';' >> $@.tmp
 	$(QUIET)mv $@.tmp $@
 
-css-definitions.c: data/zathura.css_t
+${PROJECT}/css-definitions.c: data/zathura.css_t
 	$(QUIET)echo '#include "css-definitions.h"' > $@.tmp
 	$(QUIET)echo 'const char* CSS_TEMPLATE_INDEX =' >> $@.tmp
 	$(QUIET)sed 's/^\(.*\)$$/"\1\\n"/' $< >> $@.tmp
 	$(QUIET)echo ';' >> $@.tmp
 	$(QUIET)mv $@.tmp $@
 
-%.o: %.c
+# release build
+
+${OBJECTS}: config.mk ${PROJECT}/version.h \
+	.version-checks/GIRARA .version-checks/GLIB .version-checks/GTK
+
+${BUILDDIR_RELEASE}/%.o: %.c
 	$(call colorecho,CC,$<)
-	$(QUIET) mkdir -p $(shell dirname .depend/$@.dep)
-	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF .depend/$@.dep
-
-%.do: %.c
+	@mkdir -p ${DEPENDDIR}/$(dir $@)
+	@mkdir -p $(dir $(abspath $@))
+	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF ${DEPENDDIR}/$@.dep
+
+${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}: ${OBJECTS}
+	$(call colorecho,CC,$@)
+	@mkdir -p ${BUILDDIR_RELEASE}/${BINDIR}
+	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} \
+		-o ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT} ${OBJECTS} ${LIBS}
+
+${PROJECT}: ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}
+
+release: ${PROJECT}
+
+run: release
+	$(QUIET)./${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}
+
+# debug build
+
+${OBJECTS_DEBUG}: config.mk ${PROJECT}/version.h \
+	.version-checks/GIRARA .version-checks/GLIB .version-checks/GTK
+
+${BUILDDIR_DEBUG}/%.o: %.c
 	$(call colorecho,CC,$<)
-	$(QUIET) mkdir -p $(shell dirname .depend/$@.dep)
-	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep
-
-${OBJECTS} ${DOBJECTS}: config.mk version.h \
+	@mkdir -p ${DEPENDDIR}/$(dir $@)
+	@mkdir -p $(dir $(abspath $@))
+	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} \
+		-o $@ $< -MMD -MF ${DEPENDDIR}/$@.dep
+
+${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}: ${OBJECTS_DEBUG}
+	$(call colorecho,CC,$@)
+	@mkdir -p ${BUILDDIR_DEBUG}/${BINDIR}
+	$(QUIET)${CC} ${LDFLAGS} \
+		-o ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT} ${OBJECTS_DEBUG} ${LIBS}
+
+debug: ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}
+
+run-debug: debug
+	$(QUIET)./${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}
+
+# gcov build
+
+${OBJECTS_GCOV}: config.mk ${PROJECT}/version.h \
 	.version-checks/GIRARA .version-checks/GLIB .version-checks/GTK
 
-${PROJECT}: ${OBJECTS}
+${BUILDDIR_GCOV}/%.o: %.c
+	$(call colorecho,CC,$<)
+	@mkdir -p ${DEPENDDIR}/$(dir $@)
+	@mkdir -p $(dir $(abspath $@))
+	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${GCOV_CFLAGS} \
+		-o $@ $< -MMD -MF ${DEPENDDIR}/$@.dep
+
+${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}: ${OBJECTS_GCOV}
 	$(call colorecho,CC,$@)
-	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} -o $@ ${OBJECTS} ${LIBS}
+	@mkdir -p ${BUILDDIR_GCOV}/${BINDIR}
+	$(QUIET)${CC} ${LDFLAGS} ${GCOV_CFLAGS} ${GCOV_LDFLAGS} \
+		-o ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT} ${OBJECTS_GCOv} ${LIBS}
+
+gcov: options ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}
+	$(QUIET)${MAKE} -C tests run-gcov
+	$(call colorecho,LCOV,"Analyse data")
+	$(QUIET)${LCOV_EXEC} ${LCOV_FLAGS}
+	$(call colorecho,LCOV,"Generate report")
+	$(QUIET)${GENHTML_EXEC} ${GENHTML_FLAGS}
+
+run-gcov: ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}
+	$(QUIET)./${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}
+
+# clean
 
 clean:
-	$(QUIET)rm -rf ${PROJECT} \
-		${OBJECTS} \
+	$(QUIET)rm -rf \
+		${BUILDDIR} \
+		${DEPENDDIR} \
 		${TARFILE} \
 		${TARDIR} \
-		${DOBJECTS} \
-		${PROJECT}-debug \
-		.depend \
 		${PROJECT}.pc \
-		version.h \
-		version.h.tmp \
-		dbus-interface-definitions.c \
-		dbus-interface-definitions.c.tmp \
-		css-definitions.c \
-		css-definitions.c.tmp \
-		*gcda *gcno $(PROJECT).info gcov *.tmp \
+		${PROJECT}/version.h \
+		${PROJECT}/version.h.tmp \
+		${PROJECT}/dbus-interface-definitions.c \
+		${PROJECT}/dbus-interface-definitions.c.tmp \
+		${PROJECT}/css-definitions.c \
+		${PROJECT}/css-definitions.c.tmp \
+		$(PROJECT).info \
+		gcov \
 		.version-checks
 	$(QUIET)$(MAKE) -C tests clean
 	$(QUIET)$(MAKE) -C po clean
 	$(QUIET)$(MAKE) -C doc clean
-
-${PROJECT}-debug: ${DOBJECTS}
-	$(call colorecho,CC,$@)
-	$(QUIET)${CC} ${LDFLAGS} -o $@ ${DOBJECTS} ${LIBS}
-
-debug: ${PROJECT}-debug
 
 ${PROJECT}.pc: ${PROJECT}.pc.in config.mk
 	$(QUIET)echo project=${PROJECT} > ${PROJECT}.pc
@@ -153,13 +203,13 @@
 
 valgrind: debug
 	 $(QUIET)G_SLICE=always-malloc G_DEBUG=gc-friendly ${VALGRIND} ${VALGRIND_ARGUMENTS} \
-		 ./${PROJECT}-debug
+		 ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}
 
 gdb: debug
-	$(QUIET)cgdb ${PROJECT}-debug
+	$(QUIET)cgdb ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}
 
 test: ${OBJECTS}
-	$(QUIET)make -C tests run
+	$(QUIET)$(MAKE) -C tests run
 
 dist: clean build-manpages
 	$(QUIET)tar -czf $(TARFILE) --exclude=.gitignore \
@@ -168,13 +218,7 @@
 		doc/_build/$(PROJECT).1 doc/_build/$(PROJECT)rc.5
 
 doc:
-	$(QUIET)make -C doc
-
-gcov: clean
-	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} $(PROJECT)
-	$(QUIET)CFLAGS="${CFLAGS} -fprofile-arcs -ftest-coverage" LDFLAGS="${LDFLAGS} -fprofile-arcs" ${MAKE} -C tests run
-	$(QUIET)lcov --directory . --capture --output-file $(PROJECT).info
-	$(QUIET)genhtml --output-directory gcov $(PROJECT).info
+	$(QUIET)$(MAKE) -C doc
 
 po:
 	$(QUIET)${MAKE} -C po
@@ -217,7 +261,7 @@
 install: all install-headers install-manpages install-dbus install-appdata
 	$(call colorecho,INSTALL,"executeable file")
 	$(QUIET)mkdir -m 755 -p ${DESTDIR}${PREFIX}/bin
-	$(QUIET)install -m 755 ${PROJECT} ${DESTDIR}${PREFIX}/bin
+	$(QUIET)install -m 755 ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT} ${DESTDIR}${PREFIX}/bin
 	$(QUIET)mkdir -m 755 -p ${DESTDIR}${DESKTOPPREFIX}
 	$(call colorecho,INSTALL,"desktop file")
 	$(QUIET)install -m 644 ${PROJECT}.desktop ${DESTDIR}${DESKTOPPREFIX}
@@ -244,7 +288,8 @@
 	$(QUIET)rm -f $(DESTDIR)$(APPDATAPREFIX)/$(PROJECT).appdata.xml
 	$(MAKE) -C po uninstall
 
--include $(wildcard .depend/*.dep)
+DEPENDS = ${DEPENDDIRS:^=${DEPENDDIR}/}$(addprefix ${DEPENDDIR}/,${OBJECTS:.o=.o.dep})
+-include ${DEPENDS}
 
 .PHONY: all options clean doc debug valgrind gdb dist doc install uninstall \
 	test po install-headers uninstall-headers update-po install-manpages \

=== doc/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 include config.mk
 
 MAN_SOURCES=$(wildcard man/*.rst) $(wildcard man/*.txt) man/conf.py
-DOXYGEN_SOURCES=$(wildcard ../*.h) Doxyfile
-HTML_SORUCES=$(wildcard *.rst api/*.rst configuration/*.rst installation/*.rst usage/*.rst) conf.py
+DOXYGEN_SOURCES=$(wildcard ../zathura/*.h) Doxyfile
+HTML_SOURCES=$(wildcard *.rst api/*.rst configuration/*.rst installation/*.rst usage/*.rst) conf.py
 
 SPHINX_OPTS+=-d $(SPHINX_BUILDDIR)/doctrees
 
@@ -18,15 +18,17 @@
 	$(QUIET)rm -rf $(SPHINX_BUILDDIR)/
 
 $(SPHINX_BUILDDIR)/html/index.html: $(HTML_SOURCES) $(SPHINX_BUILDDIR)/doxygen/xml/index.xml
+	$(QUIET)mkdir -p $(SPHINX_BUILDDIR)/html
 	$(call colorecho,DOC,"Build HTML documentation")
 	$(QUIET)$(SPHINX_BIN) -b html $(SPHINX_OPTS) . $(SPHINX_BUILDDIR)/html
 
 $(SPHINX_BUILDDIR)/zathura.1 $(SPHINX_BUILDDIR)/zathurarc.5: $(MAN_SOURCES)
+	$(QUIET)mkdir -p $(SPHINX_BUILDDIR)
 	$(call colorecho,DOC,"Build man pages")
 	$(QUIET)$(SPHINX_BIN) -b man $(SPHINX_OPTS) man $(SPHINX_BUILDDIR)
 
 $(SPHINX_BUILDDIR)/doxygen/xml/index.xml: $(DOXYGEN_SOURCES)
-	$(QUIET)mkdir -p $(SPHINX_BUILDDIR)
+	$(QUIET)mkdir -p $(SPHINX_BUILDDIR)/doxygen/xml
 	$(call colorecho,DOC,"Run doxygen")
 	$(QUIET)$(DOXYGEN_BIN) Doxyfile

=== po/Makefile ===
# See LICENSE file for license and copyright information

include ../config.mk
include ../common.mk
include ../colors.mk

PROJECT  = zathura
CATALOGS = $(sort $(wildcard *.po))
LINGUAS ?= $(patsubst %.po, %, $(CATALOGS))
ifeq ($(LINGUAS),)
ALINGUAS =
else
ALINGUAS = $(shell find $(patsubst %, %.po, $(LINGUAS)) 2>/dev/null)
endif
MOS      = $(patsubst %, %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo, $(patsubst %.po, %, $(ALINGUAS)))

all: ${MOS}

clean:
	$(QUIET)rm -rf POTFILES.in POTFILES.in.tmp $(patsubst %.po, %, $(CATALOGS)) ${PROJECT}.pot

POTFILES.in: $(sort $(wildcard ../zathura/*.c))
	$(QUIET) set -e && rm -f $@.tmp && touch $@.tmp && \
	for f in $(^F) ; do \
		echo zathura/$$f >> $@.tmp ; \
	done && \
	mv $@.tmp $@

${GETTEXT_PACKAGE}.pot: POTFILES.in
	$(ECHO) regenerate $@
	$(QUIET)intltool-update --pot --gettext-package=${GETTEXT_PACKAGE}

update-po: ${GETTEXT_PACKAGE}.pot
	$(call colorecho,PO,"Updating po files ${CATALOGS}")
	$(QUIET)set -e && for f in ${CATALOGS} ; do \
		intltool-update --dist --gettext-package=${GETTEXT_PACKAGE} `echo $$f | sed 's/\.po//'` ; \
		sed -i 's/Report-Msgid-Bugs-To: \\n/Report-Msgid-Bugs-To: http:\/\/bugs.pwmt.org\\n/'  "$$f" ; \
	done

%/LC_MESSAGES/${GETTEXT_PACKAGE}.mo: %.po
	@mkdir -p $(@D)
	$(call colorecho,MSGFMT,$(shell echo $< | sed 's/\.po//'))
	$(QUIET)${MSGFMT} ${MSGFMTFLAGS} -c $< -o $@

install: ${MOS}
	$(call colorecho,INSTALL,"Install translations")
	$(QUIET)set -e && for f in $^ ; do \
		mkdir -p -m 755 $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
		install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`dirname $$f` ; \
	done

uninstall: ${MOS}
	$(call colorecho,UNINSTALL,"Uninstall translations")
	$(QUIET)set -e && for f in $^ ; do \
		rm -f $(LOCALEDIR)/$$f; \
	done

.PHONY: all clean install uninstall update-po

=== tests/Makefile ===
# See LICENSE file for license and copyright information

include ../config.mk
include ../colors.mk
include ../common.mk

include config.mk

PROJECT = tests
SOURCE  = tests.c $(wildcard test_*.c)
OBJECTS       = $(addprefix ${BUILDDIR_RELEASE}/,${SOURCE:.c=.o})
OBJECTS_DEBUG = $(addprefix ${BUILDDIR_DEBUG}/,${SOURCE:.c=.o})
OBJECTS_GCOV  = $(addprefix ${BUILDDIR_GCOV}/,${SOURCE:.c=.o})

ZATHURA_OBJECTS =  \
	$(filter-out ../${BUILDDIR_RELEASE}/zathura/main.o, $(wildcard ../${BUILDDIR_RELEASE}/zathura/*.o))
ZATHURA_OBJECTS_DEBUG =  \
	$(filter-out ../${BUILDDIR_DEBUG}/zathura/main.o, $(wildcard ../${BUILDDIR_DEBUG}/zathura/*.o))
ZATHURA_OBJECTS_GCOV=  \
	$(filter-out ../${BUILDDIR_GCOV}/zathura/main.o, $(wildcard ../${BUILDDIR_GCOV}/zathura/*.o))

ifneq (${WITH_SQLITE},0)
INCS     += $(SQLITE_INC)
LIBS     += $(SQLITE_LIB)
CPPFLAGS += -DWITH_SQLITE
else
SOURCE = $(filter-out database-sqlite.c,$(OSOURCE))
endif

ifneq ($(WITH_MAGIC),0)
INCS     += $(MAGIC_INC)
LIBS     += $(MAGIC_LIB)
CPPFLAGS += -DWITH_MAGIC
endif

ifneq ($(WITH_SYNCTEX),0)
INCS   += $(SYNCTEX_INC)
LIBS   += $(SYNCTEX_LIB)
CPPFLAGS += -DWITH_SYNCTEX
endif

ifneq ($(wildcard ${VALGRIND_SUPPRESSION_FILE}),)
VALGRIND_ARGUMENTS += --suppressions=${VALGRIND_SUPPRESSION_FILE}
endif

all: release

# release

${OBJECTS}: config.mk ../config.mk ../zathura/version.h

${BUILDDIR_RELEASE}/%.o: %.c
	$(call colorecho,CC,$<)
	@mkdir -p ${DEPENDDIR}/$(dir $(abspath $@))
	@mkdir -p $(dir $(abspath $@))
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$(abspath $@).dep

${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}: ${OBJECTS}
	$(QUIET)${MAKE} WITH_LIBFIU=1 -C .. ${BUILDDIR_RELEASE}/${BINDIR}/zathura
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_RELEASE}/${BINDIR}
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} \
		-o ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT} \
		${OBJECTS} ${ZATHURA_OBJECTS} ${LIBS}

release: ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}

run: ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}
	$(QUIET)${FIU_EXEC} ./${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}

# debug

${OBJECTS_DEBUG}: config.mk ../config.mk ../zathura/version.h

${BUILDDIR_DEBUG}/%.o: %.c
	@mkdir -p ${DEPENDDIR}/$(dir $(abspath $@))
	@mkdir -p $(dir $(abspath $@))
	$(call colorecho,CC,$<)
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$(abspath $@).dep

${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}: ${OBJECTS_DEBUG}
	$(QUIET)${MAKE} WITH_LIBFIU=1 -C .. ${BUILDDIR_DEBUG}/${BINDIR}/zathura
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_DEBUG}/${BINDIR}
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} \
		-o ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT} \
		${OBJECTS} ${ZATHURA_OBJECTS_DEBUG} ${LIBS}

debug: ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}

run-debug: ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}
	$(QUIET)${FIU_EXEC} ./${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}

# gcov

${OBJECTS_GCOV}: config.mk ../config.mk ../zathura/version.h

${BUILDDIR_GCOV}/%.o: %.c
	@mkdir -p ${DEPENDDIR}/$(dir $(abspath $@))
	@mkdir -p $(dir $(abspath $@))
	$(call colorecho,CC,$<)
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${GCOV_CFLAGS} ${DFLAGS} ${GCOV_DFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$(abspath $@).dep

${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}: ${OBJECTS_GCOV}
	$(QUIET)${MAKE} WITH_LIBFIU=1 -C .. ${BUILDDIR_GCOV}/${BINDIR}/zathura
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_GCOV}/${BINDIR}
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} ${GCOV_CFLAGS} ${GCOV_LDFLAGS} \
		-o ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT} \
		${OBJECTS} ${ZATHURA_OBJECTS_GCOV} ${LIBS}

gcov: ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}

run-gcov: gcov
	$(QUIET)${FIU_EXEC} ./${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}

../zathura/version.h:
	$(MAKE) -C .. zathura/version.h

valgrind: ${PROJECT}-debug
	 $(QUIET)G_SLICE=always-malloc G_DEBUG=gc-friendly ${FIU_EXEC} ${VALGRIND} ${VALGRIND_ARGUMENTS} ./${PROJECT}-debug

clean:
	$(call colorecho,RM, "Clean test files")
	$(QUIET)rm -rf ${PROJECT}
	$(QUIET)rm -rf ${PROJECT}-debug
	$(QUIET)rm -rf ${PROJECT}-gcov
	$(QUIET)rm -rf ${BUILDDIR}
	$(QUIET)rm -rf ${DEPENDDIR}

.PHONY: all clean debug run

-include $(wildcard ${DEPENDDIR}/*.dep)

=== debian/changelog ===
zathura (0.3.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Add Vcs-* fields.
  * debian/patches: Removed, included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Feb 2016 01:51:08 +0100

zathura (0.3.4-2) unstable; urgency=medium

  * No longer build PDF poppler plugin in this package.
    - debian/rules: No longer build PDF plugin.
    - debian/control:
      + Remove PDF plugin Build-Depends.
      + Add Depends on zathura-pdf-poppler.
      + Remove poppler-data from Suggests.
    - debian/zathura.mime: Removed since the PDF plugin is no longer included.
      MIME type handling is now fully done via desktop files. (Closes:
      #740185).
  * debian/patches/startup-improvements.patch: Upstream patch to fix some
    startup behavior. zathura now proerly handles -- as arguments. (Closes:
    #811032)
  * debian/rules: Build manpages with -j1 since this step sometimes fails with
    --parallel.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 22 Jan 2016 01:34:16 +0100

zathura (0.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump libgirara-dev dependencies to (>= 0.2.5).
    - Remove obsolete dpkg-dev B-D.
    - No longer mark zathura-dev as Multi-Arch: foreign. Thanks to Jakub Wilk
      for the report.
  * debian/zathura.menu: Removed (command-in-menu-file-and-desktop-file).
  * debian/patches/fix-tests.patch: Fix build of test suite.
  * debian/copyright: Remove zathura/synctex paragraph.
  * debian/dh_zathura.1: Fix typo.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Dec 2015 18:55:56 +0100

=== debian/control ===
Source: zathura
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 libgirara-dev (>= 0.2.5),
 libgtk-3-dev,
 libcairo2-dev (>= 1.8.8),
 libsqlite3-dev,
 libmagic-dev,
 libsynctex-dev,
 gettext,
 check,
 xvfb,
 xauth,
 python3-sphinx
Standards-Version: 3.9.7
Homepage: http://pwmt.org/projects/zathura
Vcs-Git: https://anonscm.debian.org/git/collab-maint/zathura.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zathura.git

Package: zathura
Architecture: any
Provides:
 ${zathura:Provides}
Depends:
 zathura-pdf-poppler,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 www-browser,
 zathura-ps,
 zathura-djvu,
 zathura-cb
Description: document viewer with a minimalistic interface
 zathura is a document viewer with a minimalistic and space saving interface.
 It offers a vim-like experience and has a focus on keyboard interaction.
 The key bindings, commands and most other settings can be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index
  * SyncTex forward and backward synchronization
 .
 zathura can be extended to support other file formats via a plugin system.

Package: zathura-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
 libgirara-dev (>= 0.2.5),
 libgtk-3-dev,
 libcairo2-dev (>= 1.8.8)
Description: development files for zathura plugins
 zathura is a document viewer with a minimalistic and space saving interface.
 It can be extended to support other file formats via a plugin system.
 .
 This package contains the files to develop plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
# Use all hardening flags for zathura
export DEB_BUILD_MAINT_OPTIONS="hardening=+all"

# do not strip
export SFLAGS=
# build with verbose output
export VERBOSE=1
# disable check's timeout functionality
export CK_DEFAULT_TIMEOUT=0
# disable colors
export COLOR=0

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) -j1 doc
	dh_auto_build
	# append gtk3 to ABI version for the GTK+2 -> GTK+3 switch
	# (can be dropped once zathura bumps its ABI the next time)
	$(MAKE) zathura.pc
	sed -i 's/^abiversion=.*$$/&gtk3/' zathura.pc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a env $(shell $(dpkg_buildflags) --export=configure) $(MAKE) test
endif

override_dh_gencontrol:
	PKG_CONFIG_PATH=$(CURDIR) ./debian/dh_zathura \
		-pzathura --substvar=zathura:Provides
	dh_gencontrol

=== debian/watch ===
version=3
http://pwmt.org/projects/zathura/download/ zathura-([0-9.]*)\.tar\.gz

## zathura 0.3.6

=== debian/changelog ===
zathura (0.3.6-2) unstable; urgency=medium

  * debian/patches/Fix-typo-in-manpage.patch: Fix typo in manpage.
  * debian/rules:
    - Fix building with all hardening flags enabled.
    - Remove make doc workaround.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Apr 2016 19:45:06 +0200

zathura (0.3.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Bump B-D on girara.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Apr 2016 08:58:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 9),
  pkg-config,
- libgirara-dev (>= 0.2.5),
+ libgirara-dev (>= 0.2.6),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8),
  libsqlite3-dev,
@@ -16,7 +16,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://pwmt.org/projects/zathura
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/zathura.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zathura.git
@@ -54,7 +54,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.2.5),
+ libgirara-dev (>= 0.2.6),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8)
 Description: development files for zathura plugins

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 # Use all hardening flags for zathura
-export DEB_BUILD_MAINT_OPTIONS="hardening=+all"
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # do not strip
 export SFLAGS=
@@ -18,7 +18,6 @@
 	dh $@ --parallel
 
 override_dh_auto_build:
-	$(MAKE) -j1 doc
 	dh_auto_build
 	# append gtk3 to ABI version for the GTK+2 -> GTK+3 switch
 	# (can be dropped once zathura bumps its ABI the next time)

## zathura 0.3.7

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include colors.mk
 include common.mk
 
-OSOURCE    = $(filter-out ${PROJECT}/css-definitions.c, $(filter-out ${PROJECT}/dbus-interface-definitions.c, $(wildcard ${PROJECT}/*.c)))
+OSOURCE    = $(filter-out ${PROJECT}/css-definitions.c, $(filter-out ${PROJECT}/dbus-interface-definitions.c, $(sort $(wildcard ${PROJECT}/*.c))))
 
 ifneq (${WITH_SQLITE},0)
 INCS     += $(SQLITE_INC)

=== debian/changelog ===
zathura (0.3.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/{rules,control,compat}: Bump to debhelper compat to 10.
  * debian/control: Update girara dependencies.
  * debian/copyright: Update copyright years.
  * debian/patches: Drop obsolete patches.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jan 2017 23:09:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  pkg-config,
- libgirara-dev (>= 0.2.6),
+ libgirara-dev (>= 0.2.7),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8),
  libsqlite3-dev,
@@ -54,7 +54,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.2.6),
+ libgirara-dev (>= 0.2.7),
  libgtk-3-dev,
  libcairo2-dev (>= 1.8.8)
 Description: development files for zathura plugins

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export COLOR=0
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build
